ATA_SCSI_BADCMD(9)

NAME
ata_scsi_badcmd - End a SCSI request with an error

SYNOPSIS

void ata_scsi_badcmd (struct scsi_cmnd * cmd, void (*done) <funcparams>struct scsi_cmnd *</funcparams>, u8 asc, u8 ascq);

ARGUMENTS

cmd SCSI request to be handled

done
    SCSI command completion function

asc SCSI-defined additional sense code

ascq
    SCSI-defined additional sense code qualifier

DESCRIPTION

Helper function that completes a SCSI command with SAM_STAT_CHECK_CONDITION, with a sense key ILLEGAL_REQUEST and the specified additional sense codes.

LOCKING

spin_lock_irqsave(host_set lock)

AUTHOR
Jeff Garzik.